Bug 1252322 - TC 778 (Install/Remove postgresql PMDA and check some basic metrics) fails with "checkpoints_timed: no match"
TC 778 (Install/Remove postgresql PMDA and check some basic metrics) fails wi...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcp (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: pcp-maint
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 03:41 EDT by Miloš Prchlík
Modified: 2017-11-22 16:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Nathan Scott 2015-08-13 03:50:59 EDT
This looks like the test needs to be tweaked to handle the 7.2 version of postgresql - most likely the checkpoints_timed column is missing or renamed in that version.

But 778.full will have chapter and verse - look for checkpoints_timed, try this:

$ awk <778.full '/^--/ { next } /checkpoints_time/ { want=2 } want > 0 { print; want--}'

and for reference from passing test output:

 checkpoints_timed | checkpoints_req | checkpoint_write_time | checkpoint_sync_time | buffers_checkpoint | buffers_clean | maxwritten_clean | buffers_backend | buffers_backend_fsync | buffers_alloc |          stats_reset          
              8454 |               0 |                     0 |                    0 |                  0 |             0 |                0 |               0 |                     0 |           458 | 2015-07-13 12:30:24.629969+10
3|checkpoints_timed|8454
3|checkpoints_req|0
postgresql.stat.bgwriter.checkpoints_timed 1 8454
postgresql.stat.bgwriter.buffers_alloc 1 458

and it is the 8454 value that ticks the "match" box.

Note You need to log in before you can comment on or make changes to this bug.